Skip to main content
`Ctrl`+`K`

# MatH2OpusCompress

Compress a hierarchical matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatH2OpusCompress(Mat A, PetscReal tol)

## Input Parameters

- A - the matrix

- tol - the absolute truncation threshold

## See Also

Matrices, `Mat`, `MatCreate()`, `MATH2OPUS`, `MatCreateH2OpusFromMat()`, `MatCreateH2OpusFromKernel()`, `MatH2OpusOrthogonalize()`

## Level

intermediate

## Location

src/mat/impls/h2opus/cuda/math2opus.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages